## cohomcalg 0.32%2Bds

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+ds//" \
https://github.com/BenjaminJurke/cohomCalg/releases \
.*/v@ANY_VERSION@@ARCHIVE_EXT@
