=== debian/changelog ===
cohomcalg (0.32+ds-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:40:46 +1100

cohomcalg (0.32+ds-6build1) noble; urgency=high

  * No change rebuild against libpolylib64-8t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:51:42 +0100

cohomcalg (0.32+ds-6) unstable; urgency=medium

  * debian/control
    - Update my email address; now a Debian Developer.
    - Bump Standards-Version to 4.6.1.
  * debian/copyright
    - Update my copyright years and email address.
  * debian/gbp.conf
    - New file; set debian-branch to debian/latest.
  * debian/patches/*
    - Update my email address.
  * debian/watch
    - Switch from GitHub releases to tags page.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 12 Nov 2022 20:01:43 -0500

cohomcalg (0.32+ds-5) unstable; urgency=medium

  * debian/control
    - Update Maintainer to Debian Math Team.
    - Bump Standards-Version to 4.6.0.
  * debian/copyright
    - Update my copyright years.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 16 Nov 2021 20:31:30 -0500

cohomcalg (0.32+ds-4) unstable; urgency=medium

  * debian/clean
    - Add .bbl and .blg files generated by BibTeX.
  * debian/control
    - Bump Standards-Version to 4.5.1.
  * debian/rules
    - Run bibtex and pdflatex several times to properly generate
      bibliography and table of contents in the manual.
    - Export FORCE_SOURCE_DATE environment variable for
      reproducible builds of the manual.
  * debian/patches/{link_polylib,manual-uuid}.patch
    - Add Forwarded fields.
  * debian/patches/remove_non-dfsg_logo.patch
    - No longer need to patch out \today since TeX honors
      SOURCE_DATE_EPOCH.
    - Add Bug field.
  * debian/watch
    - Use more general regular expression for Github link.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 16 Aug 2021 21:46:04 -0400

cohomcalg (0.32+ds-3) unstable; urgency=medium

  * debian/compat
    - Remove file; will build-depend on debhelper-compat instead.
  * debian/control
    - Bump Standards-Version to 4.5.0.
    - Add Rules-Requires-Root field.
    - Use debhelper-compat in Build-Depends and bump debhelper
      compatibility level to 13.
    - Set Multi-Arch of cohomcalg-common to foreign.
  * debian/patches/manual-uuid.patch
    - New patch; fix manual InstanceID XMP tag for reproducibility.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.
  * debian/tests/control
    - New autopkgtest control file; run most of the examples.
  * debian/upstream/metadata
    - Add Repository and Bug-Database fields.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 11 Jul 2020 09:31:35 -0400

cohomcalg (0.32+ds-2) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass C++ compiler as LD. (Closes: #928881)
  * Fix arch-only FTBFS: don't run pdflatex. (Closes: #928881)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 14 May 2019 22:29:08 +0200

cohomcalg (0.32+ds-1) unstable; urgency=medium

  * Initial release (Closes: #850587).

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 06 Jan 2018 22:06:15 -0500
