=== debian/control ===
Source: cohomcalg
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@debian.org>
Build-Depends: debhelper-compat (= 13), libpolylib64-dev
Build-Depends-Indep: texlive-fonts-recommended,
                     texlive-latex-base,
                     texlive-latex-extra,
                     texlive-latex-recommended
Standards-Version: 4.6.1
Homepage: https://github.com/BenjaminJurke/cohomCalg
Vcs-Browser: https://salsa.debian.org/science-team/cohomcalg
Vcs-Git: https://salsa.debian.org/science-team/cohomcalg.git
Rules-Requires-Root: no

Package: cohomcalg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cohomcalg-common
Description: sheaf cohomology of line bundles on toric varieties
 The algorithm for the computation of sheaf cohomologies for line bundles on
 toric varieties presented in "Cohomology of Line Bundles: A Computational
 Algorithm" by Ralph Blumenhagen, Benjamin Jurke, Thorsten Rahn, and Helmut
 Roschy has been implemented in a convenient and high-performance C/C++
 application called cohomCalg.
 .
 The optional cohomCalg Koszul extension serves as a Mathematica 7 frontend and
 allows for the easy computation of hypersurface and complete intersection
 cohomologies, following the material presented in "Cohomology of Line Bundles:
 Applications" by the same authors.

Package: cohomcalg-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: sheaf cohomology of line bundles on toric varieties (common files)
 The algorithm for the computation of sheaf cohomologies for line bundles on
 toric varieties presented in "Cohomology of Line Bundles: A Computational
 Algorithm" by Ralph Blumenhagen, Benjamin Jurke, Thorsten Rahn, and Helmut
 Roschy has been implemented in a convenient and high-performance C/C++
 application called cohomCalg.
 .
 The optional cohomCalg Koszul extension serves as a Mathematica 7 frontend and
 allows for the easy computation of hypersurface and complete intersection
 cohomologies, following the material presented in "Cohomology of Line Bundles:
 Applications" by the same authors.
 .
 This package contains the documentation, example files, and Mathematica scripts
 included with cohomCalg.
