=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+ds//" \
https://github.com/BenjaminJurke/cohomCalg/tags \
.*/v@ANY_VERSION@@ARCHIVE_EXT@
